#these implementations and function examples are pulled directly from Apache spark website
'''
all the links and resources are pulled directly from apache spark documentation
this document is primarily used for checking the matrix operations and reruning the code
'''

from pyspark.pandas.config import set_option, reset_option
import pyarrow
import pyspark.pandas as ps
import pandas as pd
from pyspark.sql import SparkSession


'''
matrix dot product example
'''
import numpy as np

#using numpy
df1 = ps.DataFrame(data=np.array([[1, 2, 3, 4, 5], [6, 7, 8, 9, 0]]),columns=['a', 'b', 'c', 'd', 'e'])

#using direct dataframes
d = {'col1': [1, 2], 'col2': [3, 4]}
df = ps.DataFrame(data=d, columns=['col1', 'col2'])
print(df)

set_option("compute.ops_on_diff_frames", True)
psdf = ps.DataFrame([[0, 1, -2, -1], [1, 1, 1, 1]])
psser = ps.Series([1, 1, 2, 1])
print(psdf.dot(psser))


