'''
this file contains with processing times for each different python library
graph the data to make it easier to understaand how the processing times differ as the data set increases

'''
#TODO: do not do the regression rn, do the plotting of just points and make sure to save the data into a more reasobale file format since there would be a lot more of it
import numpy as np
import matplotlib.pyplot as plt
from sklearn.linear_model import LinearRegression

# Given data
data1 = np.array([0.0002532005310058594,
0.0002052783966064453,
0.008449554443359375,
1.594781398773193
])
data2 = np.array([0.0008015632629394531,
0.0009365081787109375,
0.01101827621459961,
0.4975008964538574
])
data3 = np.array([0.012706756591796875,
0.002964019775390625,
0.053177833557128906,
5.019330978393555

])
data4 = np.array([0.0029942989349365234,
0.0013346672058105469,
0.027867555618286133,
1.1832470893859863
])
data5 = np.array([0.010898590087890625,
0.0021805763244628906,
0.008211374282836914,
0.48601293563842773
])
data6 = np.array([0.00325298309326172,
0.00129055976867676,
0.012110710144043,
0.774272441864014
])

# Create x-axis values
x = np.array([10,100,1000,10000])

# Perform linear regression to find lines of best fit
model1 = LinearRegression().fit(x.reshape(-1, 1), data1)
model2 = LinearRegression().fit(x.reshape(-1, 1), data2)
model3 = LinearRegression().fit(x.reshape(-1, 1), data3)
model4= LinearRegression().fit(x.reshape(-1, 1), data4)
model5 = LinearRegression().fit(x.reshape(-1, 1), data5)
model6 = LinearRegression().fit(x.reshape(-1, 1), data6)

# Plot the data points
plt.scatter(x, data1, label='Data 1')
plt.scatter(x, data2, label='Data 2')
plt.scatter(x, data3, label='Data 3')
plt.scatter(x, data4, label='Data 4')
plt.scatter(x, data5, label='Data 5')
plt.scatter(x, data6, label='Data 6')

# Plot the lines of best fit
plt.plot(x, model1.predict(x.reshape(-1, 1)), color='blue', label='Line of Best Fit 1')
plt.plot(x, model2.predict(x.reshape(-1, 1)), color='red', label='Line of Best Fit 2')
plt.plot(x, model3.predict(x.reshape(-1, 1)), color='yellow', label='Line of Best Fit 2')
plt.plot(x, model4.predict(x.reshape(-1, 1)), color='yellow', label='Line of Best Fit 2')
plt.plot(x, model5.predict(x.reshape(-1, 1)), color='yellow', label='Line of Best Fit 2')
plt.plot(x, model6.predict(x.reshape(-1, 1)), color='yellow', label='Line of Best Fit 2')


# Add labels and legend
plt.xlabel('X')
plt.ylabel('Y')
plt.title('Multiple Data Arrays with Lines of Best Fit')
plt.legend()

# Show the plot
plt.grid(True)
plt.show()
