'''
this file contains code to create a side by side scatter plots for each of the three matrix sizes computatoins for any given data from a csv
'''

import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
'''
x = np.arange(0, 101, 1)
print(len(x))
df = pd.read_csv("/home/taya/distributedProcessing/results/sparkTimes.csv").dropna()
y1 = df.iloc[:, 4].values #np for m1
print(len(y1))
y2 = df.iloc[:, 5].values #np for m2
y3 = df.iloc[:, 6].values #np for m3

# Create subplots
fig, axs = plt.subplots(1, 3, figsize=(15, 5))  # 1 row, 3 columns

# Scatter plots
axs[0].scatter(x, y1, color='blue')
axs[0].set_title('Computation Times for 10x10 Matrix')

axs[1].scatter(x, y2, color='red')
axs[1].set_title('Computation Times for 100x100 Matrix')

axs[2].scatter(x, y3, color='green')
axs[2].set_title('Computation Times for 1000x1000 Matrix')

# Adjust layout
plt.tight_layout()
plt.savefig("all5Spark.png")
# Show plots
plt.show()
'''

# Convert PySpark DataFrame to Pandas DataFrame
pandas_df = df.toPandas()

# Get the first column
first_column = pandas_df.iloc[:, 0]

# Create subplots
x = range(len(first_column))
fig, axs = plt.subplots(1, 4, figsize=(20, 5))  # 1 row, 4 columns

# Bar plots with labels
for i, (y, label) in enumerate(zip([y1, y2, y3, y4], ['y1', 'y2', 'y3', 'y4'])):
    axs[i].bar(x, y, color='blue')
    axs[i].set_title(f'Computation Times for {label}')
    axs[i].set_ylabel('Time (ms)')

# Adjust layout
plt.tight_layout()

# Save plot
plt.savefig(imgName)



